org.hibernate.search.elasticsearch.settings.impl.translation

## Class DefaultElasticsearchAnalyzerDefinitionTranslator

- java.lang.Object
- - org.hibernate.search.elasticsearch.settings.impl.translation.DefaultElasticsearchAnalyzerDefinitionTranslator

- All Implemented Interfaces:
    ElasticsearchAnalyzerDefinitionTranslator, Service, Startable, Stoppable

      public class DefaultElasticsearchAnalyzerDefinitionTranslator
      extends Object
      implements ElasticsearchAnalyzerDefinitionTranslator, Startable, Stoppable

  Author:
    Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultElasticsearchAnalyzerDefinitionTranslator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `start(Properties properties, BuildContext context)` Start phase notification.
    `void` | `stop()` Stop phase notification
    `CharFilterDefinition` | `translate(CharFilterDef hibernateSearchDef)` Translate a char filter definition, throwing an exception if translation fails.
    `String` | `translate(Class<?> luceneClass)` Translate a Lucene analyzer class, throwing an exception if translation fails.
    `TokenFilterDefinition` | `translate(TokenFilterDef hibernateSearchDef)` Translate a token filter definition, throwing an exception if translation fails.
    `TokenizerDefinition` | `translate(TokenizerDef hibernateSearchDef)` Translate a tokenizer definition, throwing an exception if translation fails.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultElasticsearchAnalyzerDefinitionTranslator

          public DefaultElasticsearchAnalyzerDefinitionTranslator()

  - ### Method Detail

    - #### start

          public void start(Properties properties,
                            BuildContext context)

      Description copied from interface: `Startable`
      Start phase notification.
      Specified by:
        `start` in interface `Startable`
      Parameters:
        `properties` - the configuration properties
        `context` - the current context instance

    - #### stop

          public void stop()

      Description copied from interface: `Stoppable`
      Stop phase notification
      Specified by:
        `stop` in interface `Stoppable`

    - #### translate

          public String translate(Class<?> luceneClass)

      Description copied from interface: `ElasticsearchAnalyzerDefinitionTranslator`
      Translate a Lucene analyzer class, throwing an exception if translation fails.
      Specified by:
        `translate` in interface `ElasticsearchAnalyzerDefinitionTranslator`
      Parameters:
        `luceneClass` - The Lucene analyzer class to be translated.
      Returns:
        The name of this analyzer type on Elasticsearch.

    - #### translate

          public CharFilterDefinition translate(CharFilterDef hibernateSearchDef)

      Description copied from interface: `ElasticsearchAnalyzerDefinitionTranslator`
      Translate a char filter definition, throwing an exception if translation fails.
      Specified by:
        `translate` in interface `ElasticsearchAnalyzerDefinitionTranslator`
      Parameters:
        `hibernateSearchDef` - The Hibernate Search definition to be translated.
      Returns:
        The Elasticsearch translation.

    - #### translate

          public TokenizerDefinition translate(TokenizerDef hibernateSearchDef)

      Description copied from interface: `ElasticsearchAnalyzerDefinitionTranslator`
      Translate a tokenizer definition, throwing an exception if translation fails.
      Specified by:
        `translate` in interface `ElasticsearchAnalyzerDefinitionTranslator`
      Parameters:
        `hibernateSearchDef` - The Hibernate Search definition to be translated.
      Returns:
        The Elasticsearch translation.

    - #### translate

          public TokenFilterDefinition translate(TokenFilterDef hibernateSearchDef)

      Description copied from interface: `ElasticsearchAnalyzerDefinitionTranslator`
      Translate a token filter definition, throwing an exception if translation fails.
      Specified by:
        `translate` in interface `ElasticsearchAnalyzerDefinitionTranslator`
      Parameters:
        `hibernateSearchDef` - The Hibernate Search definition to be translated.
      Returns:
        The Elasticsearch translation.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved